diff --git a/src/third_party/wiredtiger/dist/stat_data.py b/src/third_party/wiredtiger/dist/stat_data.py
index c47b668538..ef182762a4 100644
--- a/src/third_party/wiredtiger/dist/stat_data.py
+++ b/src/third_party/wiredtiger/dist/stat_data.py
@@ -213,6 +213,7 @@ conn_stats = [
     CacheStat('cache_eviction_fail_in_reconciliation', 'pages selected for eviction unable to be evicted because of failure in reconciliation'),
     CacheStat('cache_eviction_fail_parent_has_overflow_items', 'pages selected for eviction unable to be evicted as the parent page has overflow items'),
     CacheStat('cache_eviction_force', 'forced eviction - pages selected count'),
+    CacheStat('cache_eviction_force_update_list', 'forced eviction when more update list found.'),
     CacheStat('cache_eviction_force_clean', 'forced eviction - pages evicted that were clean count'),
     CacheStat('cache_eviction_force_clean_time', 'forced eviction - pages evicted that were clean time (usecs)'),
     CacheStat('cache_eviction_force_delete', 'forced eviction - pages selected because of too many deleted items count'),
diff --git a/src/third_party/wiredtiger/src/btree/row_modify.c b/src/third_party/wiredtiger/src/btree/row_modify.c
index 7c13e88e2b..4eee31d1c1 100644
--- a/src/third_party/wiredtiger/src/btree/row_modify.c
+++ b/src/third_party/wiredtiger/src/btree/row_modify.c
@@ -311,13 +311,13 @@ __wt_row_insert_alloc(WT_SESSION_IMPL *session, const WT_ITEM *key, u_int skipde
  */
 WT_UPDATE *
 __wt_update_obsolete_check(
-  WT_SESSION_IMPL *session, WT_PAGE *page, WT_UPDATE *upd, bool update_accounting)
+  WT_SESSION_IMPL *session, WT_PAGE *page, WT_UPDATE *upd, bool update_accounting, u_int *count)
 {
     WT_TXN_GLOBAL *txn_global;
     WT_UPDATE *first, *next;
     size_t size;
     uint64_t oldest, stable;
-    u_int count, upd_seen, upd_unstable;
+    u_int upd_seen, upd_unstable;
 
     txn_global = &S2C(session)->txn_global;
 
@@ -334,7 +334,7 @@ __wt_update_obsolete_check(
      * Only updates with globally visible, self-contained data can terminate update chains.
      *
      */
-    for (first = NULL, count = 0; upd != NULL; upd = upd->next, count++) {
+    for (first = NULL; upd != NULL; upd = upd->next, (*count)++) {
         if (upd->txnid == WT_TXN_ABORTED)
             continue;
 
@@ -380,7 +380,7 @@ __wt_update_obsolete_check(
      * forwards. This function is used to trim update lists independently of the page state, ensure
      * there is a modify structure.
      */
-    if (count > 20 && page->modify != NULL) {
+    if (*count > 20 && page->modify != NULL) {
         page->modify->obsolete_check_txn = txn_global->last_running;
         if (txn_global->has_pinned_timestamp)
             page->modify->obsolete_check_timestamp = txn_global->pinned_timestamp;
diff --git a/src/third_party/wiredtiger/src/include/extern.h b/src/third_party/wiredtiger/src/include/extern.h
index 139b641146..8dac19157c 100644
--- a/src/third_party/wiredtiger/src/include/extern.h
+++ b/src/third_party/wiredtiger/src/include/extern.h
@@ -4,8 +4,9 @@ extern WT_HAZARD *__wt_hazard_check(WT_SESSION_IMPL *session, WT_REF *ref,
   WT_SESSION_IMPL **sessionp) WT_GCC_FUNC_DECL_ATTRIBUTE((warn_unused_result));
 extern WT_THREAD_RET __wt_cache_pool_server(void *arg)
   WT_GCC_FUNC_DECL_ATTRIBUTE((warn_unused_result));
-extern WT_UPDATE *__wt_update_obsolete_check(WT_SESSION_IMPL *session, WT_PAGE *page,
-  WT_UPDATE *upd, bool update_accounting) WT_GCC_FUNC_DECL_ATTRIBUTE((warn_unused_result));
+extern WT_UPDATE *__wt_update_obsolete_check(
+  WT_SESSION_IMPL *session, WT_PAGE *page, WT_UPDATE *upd, bool update_accounting, u_int *count)
+  WT_GCC_FUNC_DECL_ATTRIBUTE((warn_unused_result));
 extern bool __wt_block_offset_invalid(WT_BLOCK *block, wt_off_t offset, uint32_t size)
   WT_GCC_FUNC_DECL_ATTRIBUTE((warn_unused_result));
 extern bool __wt_btree_immediately_durable(WT_SESSION_IMPL *session)
diff --git a/src/third_party/wiredtiger/src/include/serial_inline.h b/src/third_party/wiredtiger/src/include/serial_inline.h
index c98eac159a..bdbeb766d9 100644
--- a/src/third_party/wiredtiger/src/include/serial_inline.h
+++ b/src/third_party/wiredtiger/src/include/serial_inline.h
@@ -224,11 +224,13 @@ __wt_update_serial(WT_SESSION_IMPL *session, WT_CURSOR_BTREE *cbt, WT_PAGE *page
     WT_UPDATE *obsolete, *upd;
     wt_timestamp_t obsolete_timestamp, prev_upd_ts;
     uint64_t txn;
+    u_int count;
 
     /* Clear references to memory we now own and must free on error. */
     upd = *updp;
     *updp = NULL;
     prev_upd_ts = WT_TS_NONE;
+    count = 0;
 
     /*
      * All structure setup must be flushed before the structure is entered into the list. We need a
@@ -293,11 +295,16 @@ __wt_update_serial(WT_SESSION_IMPL *session, WT_CURSOR_BTREE *cbt, WT_PAGE *page
     if (WT_PAGE_TRYLOCK(session, page) != 0)
         return (0);
 
-    obsolete = __wt_update_obsolete_check(session, page, upd->next, true);
+    obsolete = __wt_update_obsolete_check(session, page, upd->next, true, &count);
 
     WT_PAGE_UNLOCK(session, page);
 
     __wt_free_update_list(session, &obsolete);
 
+    if (count > 1000) {
+        WT_STAT_CONN_INCR(session, cache_eviction_force_update_list);
+        __wt_page_evict_soon(session, cbt->ref);
+    }
+
     return (0);
 }
diff --git a/src/third_party/wiredtiger/src/include/stat.h b/src/third_party/wiredtiger/src/include/stat.h
index 4d3f66f4aa..24bbdad0ed 100644
--- a/src/third_party/wiredtiger/src/include/stat.h
+++ b/src/third_party/wiredtiger/src/include/stat.h
@@ -401,6 +401,7 @@ struct __wt_connection_stats {
     int64_t cache_eviction_force;
     int64_t cache_eviction_force_fail;
     int64_t cache_eviction_force_fail_time;
+    int64_t cache_eviction_force_update_list;
     int64_t cache_eviction_hazard;
     int64_t cache_hazard_checks;
     int64_t cache_hazard_walks;
diff --git a/src/third_party/wiredtiger/src/include/wiredtiger.in b/src/third_party/wiredtiger/src/include/wiredtiger.in
index 13a8c37ed9..cdcfa8ffb3 100644
--- a/src/third_party/wiredtiger/src/include/wiredtiger.in
+++ b/src/third_party/wiredtiger/src/include/wiredtiger.in
@@ -5191,948 +5191,950 @@ extern int wiredtiger_extension_terminate(WT_CONNECTION *connection);
 #define	WT_STAT_CONN_CACHE_EVICTION_FORCE_FAIL		1086
 /*! cache: forced eviction - pages selected unable to be evicted time */
 #define	WT_STAT_CONN_CACHE_EVICTION_FORCE_FAIL_TIME	1087
+/*! cache: forced eviction when more update list found. */
+#define	WT_STAT_CONN_CACHE_EVICTION_FORCE_UPDATE_LIST	1088
 /*! cache: hazard pointer blocked page eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_HAZARD		1088
+#define	WT_STAT_CONN_CACHE_EVICTION_HAZARD		1089
 /*! cache: hazard pointer check calls */
-#define	WT_STAT_CONN_CACHE_HAZARD_CHECKS		1089
+#define	WT_STAT_CONN_CACHE_HAZARD_CHECKS		1090
 /*! cache: hazard pointer check entries walked */
-#define	WT_STAT_CONN_CACHE_HAZARD_WALKS			1090
+#define	WT_STAT_CONN_CACHE_HAZARD_WALKS			1091
 /*! cache: hazard pointer maximum array length */
-#define	WT_STAT_CONN_CACHE_HAZARD_MAX			1091
+#define	WT_STAT_CONN_CACHE_HAZARD_MAX			1092
 /*! cache: history store score */
-#define	WT_STAT_CONN_CACHE_HS_SCORE			1092
+#define	WT_STAT_CONN_CACHE_HS_SCORE			1093
 /*! cache: history store table insert calls */
-#define	WT_STAT_CONN_CACHE_HS_INSERT			1093
+#define	WT_STAT_CONN_CACHE_HS_INSERT			1094
 /*! cache: history store table insert calls that returned restart */
-#define	WT_STAT_CONN_CACHE_HS_INSERT_RESTART		1094
+#define	WT_STAT_CONN_CACHE_HS_INSERT_RESTART		1095
 /*! cache: history store table max on-disk size */
-#define	WT_STAT_CONN_CACHE_HS_ONDISK_MAX		1095
+#define	WT_STAT_CONN_CACHE_HS_ONDISK_MAX		1096
 /*! cache: history store table on-disk size */
-#define	WT_STAT_CONN_CACHE_HS_ONDISK			1096
+#define	WT_STAT_CONN_CACHE_HS_ONDISK			1097
 /*!
  * cache: history store table out-of-order resolved updates that lose
  * their durable timestamp
  */
-#define	WT_STAT_CONN_CACHE_HS_ORDER_LOSE_DURABLE_TIMESTAMP	1097
+#define	WT_STAT_CONN_CACHE_HS_ORDER_LOSE_DURABLE_TIMESTAMP	1098
 /*!
  * cache: history store table out-of-order updates that were fixed up by
  * reinserting with the fixed timestamp
  */
-#define	WT_STAT_CONN_CACHE_HS_ORDER_REINSERT		1098
+#define	WT_STAT_CONN_CACHE_HS_ORDER_REINSERT		1099
 /*! cache: history store table reads */
-#define	WT_STAT_CONN_CACHE_HS_READ			1099
+#define	WT_STAT_CONN_CACHE_HS_READ			1100
 /*! cache: history store table reads missed */
-#define	WT_STAT_CONN_CACHE_HS_READ_MISS			1100
+#define	WT_STAT_CONN_CACHE_HS_READ_MISS			1101
 /*! cache: history store table reads requiring squashed modifies */
-#define	WT_STAT_CONN_CACHE_HS_READ_SQUASH		1101
+#define	WT_STAT_CONN_CACHE_HS_READ_SQUASH		1102
 /*!
  * cache: history store table truncation by rollback to stable to remove
  * an unstable update
  */
-#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_RTS_UNSTABLE	1102
+#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_RTS_UNSTABLE	1103
 /*!
  * cache: history store table truncation by rollback to stable to remove
  * an update
  */
-#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_RTS		1103
+#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_RTS		1104
 /*! cache: history store table truncation to remove an update */
-#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE		1104
+#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE		1105
 /*!
  * cache: history store table truncation to remove range of updates due
  * to key being removed from the data page during reconciliation
  */
-#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_ONPAGE_REMOVAL	1105
+#define	WT_STAT_CONN_CACHE_HS_KEY_TRUNCATE_ONPAGE_REMOVAL	1106
 /*!
  * cache: history store table truncation to remove range of updates due
  * to out-of-order timestamp update on data page
  */
-#define	WT_STAT_CONN_CACHE_HS_ORDER_REMOVE		1106
+#define	WT_STAT_CONN_CACHE_HS_ORDER_REMOVE		1107
 /*! cache: history store table writes requiring squashed modifies */
-#define	WT_STAT_CONN_CACHE_HS_WRITE_SQUASH		1107
+#define	WT_STAT_CONN_CACHE_HS_WRITE_SQUASH		1108
 /*! cache: in-memory page passed criteria to be split */
-#define	WT_STAT_CONN_CACHE_INMEM_SPLITTABLE		1108
+#define	WT_STAT_CONN_CACHE_INMEM_SPLITTABLE		1109
 /*! cache: in-memory page splits */
-#define	WT_STAT_CONN_CACHE_INMEM_SPLIT			1109
+#define	WT_STAT_CONN_CACHE_INMEM_SPLIT			1110
 /*! cache: internal pages evicted */
-#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL		1110
+#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL		1111
 /*! cache: internal pages queued for eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_QUEUED	1111
+#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_QUEUED	1112
 /*! cache: internal pages seen by eviction walk */
-#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_SEEN	1112
+#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_SEEN	1113
 /*! cache: internal pages seen by eviction walk that are already queued */
-#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_ALREADY_QUEUED	1113
+#define	WT_STAT_CONN_CACHE_EVICTION_INTERNAL_PAGES_ALREADY_QUEUED	1114
 /*! cache: internal pages split during eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_SPLIT_INTERNAL	1114
+#define	WT_STAT_CONN_CACHE_EVICTION_SPLIT_INTERNAL	1115
 /*! cache: leaf pages split during eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_SPLIT_LEAF		1115
+#define	WT_STAT_CONN_CACHE_EVICTION_SPLIT_LEAF		1116
 /*! cache: maximum bytes configured */
-#define	WT_STAT_CONN_CACHE_BYTES_MAX			1116
+#define	WT_STAT_CONN_CACHE_BYTES_MAX			1117
 /*! cache: maximum page size at eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_MAXIMUM_PAGE_SIZE	1117
+#define	WT_STAT_CONN_CACHE_EVICTION_MAXIMUM_PAGE_SIZE	1118
 /*! cache: modified pages evicted */
-#define	WT_STAT_CONN_CACHE_EVICTION_DIRTY		1118
+#define	WT_STAT_CONN_CACHE_EVICTION_DIRTY		1119
 /*! cache: modified pages evicted by application threads */
-#define	WT_STAT_CONN_CACHE_EVICTION_APP_DIRTY		1119
+#define	WT_STAT_CONN_CACHE_EVICTION_APP_DIRTY		1120
 /*! cache: operations timed out waiting for space in cache */
-#define	WT_STAT_CONN_CACHE_TIMED_OUT_OPS		1120
+#define	WT_STAT_CONN_CACHE_TIMED_OUT_OPS		1121
 /*! cache: overflow pages read into cache */
-#define	WT_STAT_CONN_CACHE_READ_OVERFLOW		1121
+#define	WT_STAT_CONN_CACHE_READ_OVERFLOW		1122
 /*! cache: page split during eviction deepened the tree */
-#define	WT_STAT_CONN_CACHE_EVICTION_DEEPEN		1122
+#define	WT_STAT_CONN_CACHE_EVICTION_DEEPEN		1123
 /*! cache: page written requiring history store records */
-#define	WT_STAT_CONN_CACHE_WRITE_HS			1123
+#define	WT_STAT_CONN_CACHE_WRITE_HS			1124
 /*! cache: pages currently held in the cache */
-#define	WT_STAT_CONN_CACHE_PAGES_INUSE			1124
+#define	WT_STAT_CONN_CACHE_PAGES_INUSE			1125
 /*! cache: pages evicted by application threads */
-#define	WT_STAT_CONN_CACHE_EVICTION_APP			1125
+#define	WT_STAT_CONN_CACHE_EVICTION_APP			1126
 /*! cache: pages evicted in parallel with checkpoint */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_IN_PARALLEL_WITH_CHECKPOINT	1126
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_IN_PARALLEL_WITH_CHECKPOINT	1127
 /*! cache: pages queued for eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED	1127
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED	1128
 /*! cache: pages queued for eviction post lru sorting */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_POST_LRU	1128
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_POST_LRU	1129
 /*! cache: pages queued for urgent eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_URGENT	1129
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_URGENT	1130
 /*! cache: pages queued for urgent eviction during walk */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_OLDEST	1130
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_OLDEST	1131
 /*!
  * cache: pages queued for urgent eviction from history store due to high
  * dirty content
  */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_URGENT_HS_DIRTY	1131
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_QUEUED_URGENT_HS_DIRTY	1132
 /*! cache: pages read into cache */
-#define	WT_STAT_CONN_CACHE_READ				1132
+#define	WT_STAT_CONN_CACHE_READ				1133
 /*! cache: pages read into cache after truncate */
-#define	WT_STAT_CONN_CACHE_READ_DELETED			1133
+#define	WT_STAT_CONN_CACHE_READ_DELETED			1134
 /*! cache: pages read into cache after truncate in prepare state */
-#define	WT_STAT_CONN_CACHE_READ_DELETED_PREPARED	1134
+#define	WT_STAT_CONN_CACHE_READ_DELETED_PREPARED	1135
 /*! cache: pages requested from the cache */
-#define	WT_STAT_CONN_CACHE_PAGES_REQUESTED		1135
+#define	WT_STAT_CONN_CACHE_PAGES_REQUESTED		1136
 /*! cache: pages seen by eviction walk */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_SEEN		1136
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_SEEN		1137
 /*! cache: pages seen by eviction walk that are already queued */
-#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_ALREADY_QUEUED	1137
+#define	WT_STAT_CONN_CACHE_EVICTION_PAGES_ALREADY_QUEUED	1138
 /*! cache: pages selected for eviction unable to be evicted */
-#define	WT_STAT_CONN_CACHE_EVICTION_FAIL		1138
+#define	WT_STAT_CONN_CACHE_EVICTION_FAIL		1139
 /*!
  * cache: pages selected for eviction unable to be evicted as the parent
  * page has overflow items
  */
-#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_PARENT_HAS_OVERFLOW_ITEMS	1139
+#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_PARENT_HAS_OVERFLOW_ITEMS	1140
 /*!
  * cache: pages selected for eviction unable to be evicted because of
  * active children on an internal page
  */
-#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_ACTIVE_CHILDREN_ON_AN_INTERNAL_PAGE	1140
+#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_ACTIVE_CHILDREN_ON_AN_INTERNAL_PAGE	1141
 /*!
  * cache: pages selected for eviction unable to be evicted because of
  * failure in reconciliation
  */
-#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_IN_RECONCILIATION	1141
+#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_IN_RECONCILIATION	1142
 /*!
  * cache: pages selected for eviction unable to be evicted because of
  * race between checkpoint and out of order timestamps handling
  */
-#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_CHECKPOINT_OUT_OF_ORDER_TS	1142
+#define	WT_STAT_CONN_CACHE_EVICTION_FAIL_CHECKPOINT_OUT_OF_ORDER_TS	1143
 /*! cache: pages walked for eviction */
-#define	WT_STAT_CONN_CACHE_EVICTION_WALK		1143
+#define	WT_STAT_CONN_CACHE_EVICTION_WALK		1144
 /*! cache: pages written from cache */
-#define	WT_STAT_CONN_CACHE_WRITE			1144
+#define	WT_STAT_CONN_CACHE_WRITE			1145
 /*! cache: pages written requiring in-memory restoration */
-#define	WT_STAT_CONN_CACHE_WRITE_RESTORE		1145
+#define	WT_STAT_CONN_CACHE_WRITE_RESTORE		1146
 /*! cache: percentage overhead */
-#define	WT_STAT_CONN_CACHE_OVERHEAD			1146
+#define	WT_STAT_CONN_CACHE_OVERHEAD			1147
 /*! cache: tracked bytes belonging to internal pages in the cache */
-#define	WT_STAT_CONN_CACHE_BYTES_INTERNAL		1147
+#define	WT_STAT_CONN_CACHE_BYTES_INTERNAL		1148
 /*! cache: tracked bytes belonging to leaf pages in the cache */
-#define	WT_STAT_CONN_CACHE_BYTES_LEAF			1148
+#define	WT_STAT_CONN_CACHE_BYTES_LEAF			1149
 /*! cache: tracked dirty bytes in the cache */
-#define	WT_STAT_CONN_CACHE_BYTES_DIRTY			1149
+#define	WT_STAT_CONN_CACHE_BYTES_DIRTY			1150
 /*! cache: tracked dirty pages in the cache */
-#define	WT_STAT_CONN_CACHE_PAGES_DIRTY			1150
+#define	WT_STAT_CONN_CACHE_PAGES_DIRTY			1151
 /*! cache: unmodified pages evicted */
-#define	WT_STAT_CONN_CACHE_EVICTION_CLEAN		1151
+#define	WT_STAT_CONN_CACHE_EVICTION_CLEAN		1152
 /*! capacity: background fsync file handles considered */
-#define	WT_STAT_CONN_FSYNC_ALL_FH_TOTAL			1152
+#define	WT_STAT_CONN_FSYNC_ALL_FH_TOTAL			1153
 /*! capacity: background fsync file handles synced */
-#define	WT_STAT_CONN_FSYNC_ALL_FH			1153
+#define	WT_STAT_CONN_FSYNC_ALL_FH			1154
 /*! capacity: background fsync time (msecs) */
-#define	WT_STAT_CONN_FSYNC_ALL_TIME			1154
+#define	WT_STAT_CONN_FSYNC_ALL_TIME			1155
 /*! capacity: bytes read */
-#define	WT_STAT_CONN_CAPACITY_BYTES_READ		1155
+#define	WT_STAT_CONN_CAPACITY_BYTES_READ		1156
 /*! capacity: bytes written for checkpoint */
-#define	WT_STAT_CONN_CAPACITY_BYTES_CKPT		1156
+#define	WT_STAT_CONN_CAPACITY_BYTES_CKPT		1157
 /*! capacity: bytes written for eviction */
-#define	WT_STAT_CONN_CAPACITY_BYTES_EVICT		1157
+#define	WT_STAT_CONN_CAPACITY_BYTES_EVICT		1158
 /*! capacity: bytes written for log */
-#define	WT_STAT_CONN_CAPACITY_BYTES_LOG			1158
+#define	WT_STAT_CONN_CAPACITY_BYTES_LOG			1159
 /*! capacity: bytes written total */
-#define	WT_STAT_CONN_CAPACITY_BYTES_WRITTEN		1159
+#define	WT_STAT_CONN_CAPACITY_BYTES_WRITTEN		1160
 /*! capacity: threshold to call fsync */
-#define	WT_STAT_CONN_CAPACITY_THRESHOLD			1160
+#define	WT_STAT_CONN_CAPACITY_THRESHOLD			1161
 /*! capacity: time waiting due to total capacity (usecs) */
-#define	WT_STAT_CONN_CAPACITY_TIME_TOTAL		1161
+#define	WT_STAT_CONN_CAPACITY_TIME_TOTAL		1162
 /*! capacity: time waiting during checkpoint (usecs) */
-#define	WT_STAT_CONN_CAPACITY_TIME_CKPT			1162
+#define	WT_STAT_CONN_CAPACITY_TIME_CKPT			1163
 /*! capacity: time waiting during eviction (usecs) */
-#define	WT_STAT_CONN_CAPACITY_TIME_EVICT		1163
+#define	WT_STAT_CONN_CAPACITY_TIME_EVICT		1164
 /*! capacity: time waiting during logging (usecs) */
-#define	WT_STAT_CONN_CAPACITY_TIME_LOG			1164
+#define	WT_STAT_CONN_CAPACITY_TIME_LOG			1165
 /*! capacity: time waiting during read (usecs) */
-#define	WT_STAT_CONN_CAPACITY_TIME_READ			1165
+#define	WT_STAT_CONN_CAPACITY_TIME_READ			1166
 /*! checkpoint-cleanup: pages added for eviction */
-#define	WT_STAT_CONN_CC_PAGES_EVICT			1166
+#define	WT_STAT_CONN_CC_PAGES_EVICT			1167
 /*! checkpoint-cleanup: pages removed */
-#define	WT_STAT_CONN_CC_PAGES_REMOVED			1167
+#define	WT_STAT_CONN_CC_PAGES_REMOVED			1168
 /*! checkpoint-cleanup: pages skipped during tree walk */
-#define	WT_STAT_CONN_CC_PAGES_WALK_SKIPPED		1168
+#define	WT_STAT_CONN_CC_PAGES_WALK_SKIPPED		1169
 /*! checkpoint-cleanup: pages visited */
-#define	WT_STAT_CONN_CC_PAGES_VISITED			1169
+#define	WT_STAT_CONN_CC_PAGES_VISITED			1170
 /*! connection: auto adjusting condition resets */
-#define	WT_STAT_CONN_COND_AUTO_WAIT_RESET		1170
+#define	WT_STAT_CONN_COND_AUTO_WAIT_RESET		1171
 /*! connection: auto adjusting condition wait calls */
-#define	WT_STAT_CONN_COND_AUTO_WAIT			1171
+#define	WT_STAT_CONN_COND_AUTO_WAIT			1172
 /*!
  * connection: auto adjusting condition wait raced to update timeout and
  * skipped updating
  */
-#define	WT_STAT_CONN_COND_AUTO_WAIT_SKIPPED		1172
+#define	WT_STAT_CONN_COND_AUTO_WAIT_SKIPPED		1173
 /*! connection: detected system time went backwards */
-#define	WT_STAT_CONN_TIME_TRAVEL			1173
+#define	WT_STAT_CONN_TIME_TRAVEL			1174
 /*! connection: files currently open */
-#define	WT_STAT_CONN_FILE_OPEN				1174
+#define	WT_STAT_CONN_FILE_OPEN				1175
 /*! connection: hash bucket array size for data handles */
-#define	WT_STAT_CONN_BUCKETS_DH				1175
+#define	WT_STAT_CONN_BUCKETS_DH				1176
 /*! connection: hash bucket array size general */
-#define	WT_STAT_CONN_BUCKETS				1176
+#define	WT_STAT_CONN_BUCKETS				1177
 /*! connection: memory allocations */
-#define	WT_STAT_CONN_MEMORY_ALLOCATION			1177
+#define	WT_STAT_CONN_MEMORY_ALLOCATION			1178
 /*! connection: memory frees */
-#define	WT_STAT_CONN_MEMORY_FREE			1178
+#define	WT_STAT_CONN_MEMORY_FREE			1179
 /*! connection: memory re-allocations */
-#define	WT_STAT_CONN_MEMORY_GROW			1179
+#define	WT_STAT_CONN_MEMORY_GROW			1180
 /*! connection: pthread mutex condition wait calls */
-#define	WT_STAT_CONN_COND_WAIT				1180
+#define	WT_STAT_CONN_COND_WAIT				1181
 /*! connection: pthread mutex shared lock read-lock calls */
-#define	WT_STAT_CONN_RWLOCK_READ			1181
+#define	WT_STAT_CONN_RWLOCK_READ			1182
 /*! connection: pthread mutex shared lock write-lock calls */
-#define	WT_STAT_CONN_RWLOCK_WRITE			1182
+#define	WT_STAT_CONN_RWLOCK_WRITE			1183
 /*! connection: total fsync I/Os */
-#define	WT_STAT_CONN_FSYNC_IO				1183
+#define	WT_STAT_CONN_FSYNC_IO				1184
 /*! connection: total read I/Os */
-#define	WT_STAT_CONN_READ_IO				1184
+#define	WT_STAT_CONN_READ_IO				1185
 /*! connection: total write I/Os */
-#define	WT_STAT_CONN_WRITE_IO				1185
+#define	WT_STAT_CONN_WRITE_IO				1186
 /*! cursor: Total number of entries skipped by cursor next calls */
-#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_TOTAL		1186
+#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_TOTAL		1187
 /*! cursor: Total number of entries skipped by cursor prev calls */
-#define	WT_STAT_CONN_CURSOR_PREV_SKIP_TOTAL		1187
+#define	WT_STAT_CONN_CURSOR_PREV_SKIP_TOTAL		1188
 /*!
  * cursor: Total number of entries skipped to position the history store
  * cursor
  */
-#define	WT_STAT_CONN_CURSOR_SKIP_HS_CUR_POSITION	1188
+#define	WT_STAT_CONN_CURSOR_SKIP_HS_CUR_POSITION	1189
 /*!
  * cursor: Total number of times a search near has exited due to prefix
  * config
  */
-#define	WT_STAT_CONN_CURSOR_SEARCH_NEAR_PREFIX_FAST_PATHS	1189
+#define	WT_STAT_CONN_CURSOR_SEARCH_NEAR_PREFIX_FAST_PATHS	1190
 /*! cursor: cached cursor count */
-#define	WT_STAT_CONN_CURSOR_CACHED_COUNT		1190
+#define	WT_STAT_CONN_CURSOR_CACHED_COUNT		1191
 /*! cursor: cursor bulk loaded cursor insert calls */
-#define	WT_STAT_CONN_CURSOR_INSERT_BULK			1191
+#define	WT_STAT_CONN_CURSOR_INSERT_BULK			1192
 /*! cursor: cursor close calls that result in cache */
-#define	WT_STAT_CONN_CURSOR_CACHE			1192
+#define	WT_STAT_CONN_CURSOR_CACHE			1193
 /*! cursor: cursor create calls */
-#define	WT_STAT_CONN_CURSOR_CREATE			1193
+#define	WT_STAT_CONN_CURSOR_CREATE			1194
 /*! cursor: cursor insert calls */
-#define	WT_STAT_CONN_CURSOR_INSERT			1194
+#define	WT_STAT_CONN_CURSOR_INSERT			1195
 /*! cursor: cursor insert key and value bytes */
-#define	WT_STAT_CONN_CURSOR_INSERT_BYTES		1195
+#define	WT_STAT_CONN_CURSOR_INSERT_BYTES		1196
 /*! cursor: cursor modify calls */
-#define	WT_STAT_CONN_CURSOR_MODIFY			1196
+#define	WT_STAT_CONN_CURSOR_MODIFY			1197
 /*! cursor: cursor modify key and value bytes affected */
-#define	WT_STAT_CONN_CURSOR_MODIFY_BYTES		1197
+#define	WT_STAT_CONN_CURSOR_MODIFY_BYTES		1198
 /*! cursor: cursor modify value bytes modified */
-#define	WT_STAT_CONN_CURSOR_MODIFY_BYTES_TOUCH		1198
+#define	WT_STAT_CONN_CURSOR_MODIFY_BYTES_TOUCH		1199
 /*! cursor: cursor next calls */
-#define	WT_STAT_CONN_CURSOR_NEXT			1199
+#define	WT_STAT_CONN_CURSOR_NEXT			1200
 /*!
  * cursor: cursor next calls that skip due to a globally visible history
  * store tombstone
  */
-#define	WT_STAT_CONN_CURSOR_NEXT_HS_TOMBSTONE		1200
+#define	WT_STAT_CONN_CURSOR_NEXT_HS_TOMBSTONE		1201
 /*!
  * cursor: cursor next calls that skip greater than or equal to 100
  * entries
  */
-#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_GE_100		1201
+#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_GE_100		1202
 /*! cursor: cursor next calls that skip less than 100 entries */
-#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_LT_100		1202
+#define	WT_STAT_CONN_CURSOR_NEXT_SKIP_LT_100		1203
 /*! cursor: cursor operation restarted */
-#define	WT_STAT_CONN_CURSOR_RESTART			1203
+#define	WT_STAT_CONN_CURSOR_RESTART			1204
 /*! cursor: cursor prev calls */
-#define	WT_STAT_CONN_CURSOR_PREV			1204
+#define	WT_STAT_CONN_CURSOR_PREV			1205
 /*!
  * cursor: cursor prev calls that skip due to a globally visible history
  * store tombstone
  */
-#define	WT_STAT_CONN_CURSOR_PREV_HS_TOMBSTONE		1205
+#define	WT_STAT_CONN_CURSOR_PREV_HS_TOMBSTONE		1206
 /*!
  * cursor: cursor prev calls that skip greater than or equal to 100
  * entries
  */
-#define	WT_STAT_CONN_CURSOR_PREV_SKIP_GE_100		1206
+#define	WT_STAT_CONN_CURSOR_PREV_SKIP_GE_100		1207
 /*! cursor: cursor prev calls that skip less than 100 entries */
-#define	WT_STAT_CONN_CURSOR_PREV_SKIP_LT_100		1207
+#define	WT_STAT_CONN_CURSOR_PREV_SKIP_LT_100		1208
 /*! cursor: cursor remove calls */
-#define	WT_STAT_CONN_CURSOR_REMOVE			1208
+#define	WT_STAT_CONN_CURSOR_REMOVE			1209
 /*! cursor: cursor remove key bytes removed */
-#define	WT_STAT_CONN_CURSOR_REMOVE_BYTES		1209
+#define	WT_STAT_CONN_CURSOR_REMOVE_BYTES		1210
 /*! cursor: cursor reserve calls */
-#define	WT_STAT_CONN_CURSOR_RESERVE			1210
+#define	WT_STAT_CONN_CURSOR_RESERVE			1211
 /*! cursor: cursor reset calls */
-#define	WT_STAT_CONN_CURSOR_RESET			1211
+#define	WT_STAT_CONN_CURSOR_RESET			1212
 /*! cursor: cursor search calls */
-#define	WT_STAT_CONN_CURSOR_SEARCH			1212
+#define	WT_STAT_CONN_CURSOR_SEARCH			1213
 /*! cursor: cursor search history store calls */
-#define	WT_STAT_CONN_CURSOR_SEARCH_HS			1213
+#define	WT_STAT_CONN_CURSOR_SEARCH_HS			1214
 /*! cursor: cursor search near calls */
-#define	WT_STAT_CONN_CURSOR_SEARCH_NEAR			1214
+#define	WT_STAT_CONN_CURSOR_SEARCH_NEAR			1215
 /*! cursor: cursor sweep buckets */
-#define	WT_STAT_CONN_CURSOR_SWEEP_BUCKETS		1215
+#define	WT_STAT_CONN_CURSOR_SWEEP_BUCKETS		1216
 /*! cursor: cursor sweep cursors closed */
-#define	WT_STAT_CONN_CURSOR_SWEEP_CLOSED		1216
+#define	WT_STAT_CONN_CURSOR_SWEEP_CLOSED		1217
 /*! cursor: cursor sweep cursors examined */
-#define	WT_STAT_CONN_CURSOR_SWEEP_EXAMINED		1217
+#define	WT_STAT_CONN_CURSOR_SWEEP_EXAMINED		1218
 /*! cursor: cursor sweeps */
-#define	WT_STAT_CONN_CURSOR_SWEEP			1218
+#define	WT_STAT_CONN_CURSOR_SWEEP			1219
 /*! cursor: cursor truncate calls */
-#define	WT_STAT_CONN_CURSOR_TRUNCATE			1219
+#define	WT_STAT_CONN_CURSOR_TRUNCATE			1220
 /*! cursor: cursor update calls */
-#define	WT_STAT_CONN_CURSOR_UPDATE			1220
+#define	WT_STAT_CONN_CURSOR_UPDATE			1221
 /*! cursor: cursor update key and value bytes */
-#define	WT_STAT_CONN_CURSOR_UPDATE_BYTES		1221
+#define	WT_STAT_CONN_CURSOR_UPDATE_BYTES		1222
 /*! cursor: cursor update value size change */
-#define	WT_STAT_CONN_CURSOR_UPDATE_BYTES_CHANGED	1222
+#define	WT_STAT_CONN_CURSOR_UPDATE_BYTES_CHANGED	1223
 /*! cursor: cursors reused from cache */
-#define	WT_STAT_CONN_CURSOR_REOPEN			1223
+#define	WT_STAT_CONN_CURSOR_REOPEN			1224
 /*! cursor: open cursor count */
-#define	WT_STAT_CONN_CURSOR_OPEN_COUNT			1224
+#define	WT_STAT_CONN_CURSOR_OPEN_COUNT			1225
 /*! data-handle: connection data handle size */
-#define	WT_STAT_CONN_DH_CONN_HANDLE_SIZE		1225
+#define	WT_STAT_CONN_DH_CONN_HANDLE_SIZE		1226
 /*! data-handle: connection data handles currently active */
-#define	WT_STAT_CONN_DH_CONN_HANDLE_COUNT		1226
+#define	WT_STAT_CONN_DH_CONN_HANDLE_COUNT		1227
 /*! data-handle: connection sweep candidate became referenced */
-#define	WT_STAT_CONN_DH_SWEEP_REF			1227
+#define	WT_STAT_CONN_DH_SWEEP_REF			1228
 /*! data-handle: connection sweep dhandles closed */
-#define	WT_STAT_CONN_DH_SWEEP_CLOSE			1228
+#define	WT_STAT_CONN_DH_SWEEP_CLOSE			1229
 /*! data-handle: connection sweep dhandles removed from hash list */
-#define	WT_STAT_CONN_DH_SWEEP_REMOVE			1229
+#define	WT_STAT_CONN_DH_SWEEP_REMOVE			1230
 /*! data-handle: connection sweep time-of-death sets */
-#define	WT_STAT_CONN_DH_SWEEP_TOD			1230
+#define	WT_STAT_CONN_DH_SWEEP_TOD			1231
 /*! data-handle: connection sweeps */
-#define	WT_STAT_CONN_DH_SWEEPS				1231
+#define	WT_STAT_CONN_DH_SWEEPS				1232
 /*!
  * data-handle: connection sweeps skipped due to checkpoint gathering
  * handles
  */
-#define	WT_STAT_CONN_DH_SWEEP_SKIP_CKPT			1232
+#define	WT_STAT_CONN_DH_SWEEP_SKIP_CKPT			1233
 /*! data-handle: session dhandles swept */
-#define	WT_STAT_CONN_DH_SESSION_HANDLES			1233
+#define	WT_STAT_CONN_DH_SESSION_HANDLES			1234
 /*! data-handle: session sweep attempts */
-#define	WT_STAT_CONN_DH_SESSION_SWEEPS			1234
+#define	WT_STAT_CONN_DH_SESSION_SWEEPS			1235
 /*! lock: checkpoint lock acquisitions */
-#define	WT_STAT_CONN_LOCK_CHECKPOINT_COUNT		1235
+#define	WT_STAT_CONN_LOCK_CHECKPOINT_COUNT		1236
 /*! lock: checkpoint lock application thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_APPLICATION	1236
+#define	WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_APPLICATION	1237
 /*! lock: checkpoint lock internal thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_INTERNAL	1237
+#define	WT_STAT_CONN_LOCK_CHECKPOINT_WAIT_INTERNAL	1238
 /*! lock: dhandle lock application thread time waiting (usecs) */
-#define	WT_STAT_CONN_LOCK_DHANDLE_WAIT_APPLICATION	1238
+#define	WT_STAT_CONN_LOCK_DHANDLE_WAIT_APPLICATION	1239
 /*! lock: dhandle lock internal thread time waiting (usecs) */
-#define	WT_STAT_CONN_LOCK_DHANDLE_WAIT_INTERNAL		1239
+#define	WT_STAT_CONN_LOCK_DHANDLE_WAIT_INTERNAL		1240
 /*! lock: dhandle read lock acquisitions */
-#define	WT_STAT_CONN_LOCK_DHANDLE_READ_COUNT		1240
+#define	WT_STAT_CONN_LOCK_DHANDLE_READ_COUNT		1241
 /*! lock: dhandle write lock acquisitions */
-#define	WT_STAT_CONN_LOCK_DHANDLE_WRITE_COUNT		1241
+#define	WT_STAT_CONN_LOCK_DHANDLE_WRITE_COUNT		1242
 /*!
  * lock: durable timestamp queue lock application thread time waiting
  * (usecs)
  */
-#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WAIT_APPLICATION	1242
+#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WAIT_APPLICATION	1243
 /*!
  * lock: durable timestamp queue lock internal thread time waiting
  * (usecs)
  */
-#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WAIT_INTERNAL	1243
+#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WAIT_INTERNAL	1244
 /*! lock: durable timestamp queue read lock acquisitions */
-#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_READ_COUNT	1244
+#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_READ_COUNT	1245
 /*! lock: durable timestamp queue write lock acquisitions */
-#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WRITE_COUNT	1245
+#define	WT_STAT_CONN_LOCK_DURABLE_TIMESTAMP_WRITE_COUNT	1246
 /*! lock: metadata lock acquisitions */
-#define	WT_STAT_CONN_LOCK_METADATA_COUNT		1246
+#define	WT_STAT_CONN_LOCK_METADATA_COUNT		1247
 /*! lock: metadata lock application thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_METADATA_WAIT_APPLICATION	1247
+#define	WT_STAT_CONN_LOCK_METADATA_WAIT_APPLICATION	1248
 /*! lock: metadata lock internal thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_METADATA_WAIT_INTERNAL	1248
+#define	WT_STAT_CONN_LOCK_METADATA_WAIT_INTERNAL	1249
 /*!
  * lock: read timestamp queue lock application thread time waiting
  * (usecs)
  */
-#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_APPLICATION	1249
+#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_APPLICATION	1250
 /*! lock: read timestamp queue lock internal thread time waiting (usecs) */
-#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_INTERNAL	1250
+#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WAIT_INTERNAL	1251
 /*! lock: read timestamp queue read lock acquisitions */
-#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_READ_COUNT	1251
+#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_READ_COUNT	1252
 /*! lock: read timestamp queue write lock acquisitions */
-#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WRITE_COUNT	1252
+#define	WT_STAT_CONN_LOCK_READ_TIMESTAMP_WRITE_COUNT	1253
 /*! lock: schema lock acquisitions */
-#define	WT_STAT_CONN_LOCK_SCHEMA_COUNT			1253
+#define	WT_STAT_CONN_LOCK_SCHEMA_COUNT			1254
 /*! lock: schema lock application thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_SCHEMA_WAIT_APPLICATION	1254
+#define	WT_STAT_CONN_LOCK_SCHEMA_WAIT_APPLICATION	1255
 /*! lock: schema lock internal thread wait time (usecs) */
-#define	WT_STAT_CONN_LOCK_SCHEMA_WAIT_INTERNAL		1255
+#define	WT_STAT_CONN_LOCK_SCHEMA_WAIT_INTERNAL		1256
 /*!
  * lock: table lock application thread time waiting for the table lock
  * (usecs)
  */
-#define	WT_STAT_CONN_LOCK_TABLE_WAIT_APPLICATION	1256
+#define	WT_STAT_CONN_LOCK_TABLE_WAIT_APPLICATION	1257
 /*!
  * lock: table lock internal thread time waiting for the table lock
  * (usecs)
  */
-#define	WT_STAT_CONN_LOCK_TABLE_WAIT_INTERNAL		1257
+#define	WT_STAT_CONN_LOCK_TABLE_WAIT_INTERNAL		1258
 /*! lock: table read lock acquisitions */
-#define	WT_STAT_CONN_LOCK_TABLE_READ_COUNT		1258
+#define	WT_STAT_CONN_LOCK_TABLE_READ_COUNT		1259
 /*! lock: table write lock acquisitions */
-#define	WT_STAT_CONN_LOCK_TABLE_WRITE_COUNT		1259
+#define	WT_STAT_CONN_LOCK_TABLE_WRITE_COUNT		1260
 /*! lock: txn global lock application thread time waiting (usecs) */
-#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_APPLICATION	1260
+#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_APPLICATION	1261
 /*! lock: txn global lock internal thread time waiting (usecs) */
-#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_INTERNAL	1261
+#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WAIT_INTERNAL	1262
 /*! lock: txn global read lock acquisitions */
-#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_READ_COUNT		1262
+#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_READ_COUNT		1263
 /*! lock: txn global write lock acquisitions */
-#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WRITE_COUNT	1263
+#define	WT_STAT_CONN_LOCK_TXN_GLOBAL_WRITE_COUNT	1264
 /*! log: busy returns attempting to switch slots */
-#define	WT_STAT_CONN_LOG_SLOT_SWITCH_BUSY		1264
+#define	WT_STAT_CONN_LOG_SLOT_SWITCH_BUSY		1265
 /*! log: force archive time sleeping (usecs) */
-#define	WT_STAT_CONN_LOG_FORCE_ARCHIVE_SLEEP		1265
+#define	WT_STAT_CONN_LOG_FORCE_ARCHIVE_SLEEP		1266
 /*! log: log bytes of payload data */
-#define	WT_STAT_CONN_LOG_BYTES_PAYLOAD			1266
+#define	WT_STAT_CONN_LOG_BYTES_PAYLOAD			1267
 /*! log: log bytes written */
-#define	WT_STAT_CONN_LOG_BYTES_WRITTEN			1267
+#define	WT_STAT_CONN_LOG_BYTES_WRITTEN			1268
 /*! log: log files manually zero-filled */
-#define	WT_STAT_CONN_LOG_ZERO_FILLS			1268
+#define	WT_STAT_CONN_LOG_ZERO_FILLS			1269
 /*! log: log flush operations */
-#define	WT_STAT_CONN_LOG_FLUSH				1269
+#define	WT_STAT_CONN_LOG_FLUSH				1270
 /*! log: log force write operations */
-#define	WT_STAT_CONN_LOG_FORCE_WRITE			1270
+#define	WT_STAT_CONN_LOG_FORCE_WRITE			1271
 /*! log: log force write operations skipped */
-#define	WT_STAT_CONN_LOG_FORCE_WRITE_SKIP		1271
+#define	WT_STAT_CONN_LOG_FORCE_WRITE_SKIP		1272
 /*! log: log records compressed */
-#define	WT_STAT_CONN_LOG_COMPRESS_WRITES		1272
+#define	WT_STAT_CONN_LOG_COMPRESS_WRITES		1273
 /*! log: log records not compressed */
-#define	WT_STAT_CONN_LOG_COMPRESS_WRITE_FAILS		1273
+#define	WT_STAT_CONN_LOG_COMPRESS_WRITE_FAILS		1274
 /*! log: log records too small to compress */
-#define	WT_STAT_CONN_LOG_COMPRESS_SMALL			1274
+#define	WT_STAT_CONN_LOG_COMPRESS_SMALL			1275
 /*! log: log release advances write LSN */
-#define	WT_STAT_CONN_LOG_RELEASE_WRITE_LSN		1275
+#define	WT_STAT_CONN_LOG_RELEASE_WRITE_LSN		1276
 /*! log: log scan operations */
-#define	WT_STAT_CONN_LOG_SCANS				1276
+#define	WT_STAT_CONN_LOG_SCANS				1277
 /*! log: log scan records requiring two reads */
-#define	WT_STAT_CONN_LOG_SCAN_REREADS			1277
+#define	WT_STAT_CONN_LOG_SCAN_REREADS			1278
 /*! log: log server thread advances write LSN */
-#define	WT_STAT_CONN_LOG_WRITE_LSN			1278
+#define	WT_STAT_CONN_LOG_WRITE_LSN			1279
 /*! log: log server thread write LSN walk skipped */
-#define	WT_STAT_CONN_LOG_WRITE_LSN_SKIP			1279
+#define	WT_STAT_CONN_LOG_WRITE_LSN_SKIP			1280
 /*! log: log sync operations */
-#define	WT_STAT_CONN_LOG_SYNC				1280
+#define	WT_STAT_CONN_LOG_SYNC				1281
 /*! log: log sync time duration (usecs) */
-#define	WT_STAT_CONN_LOG_SYNC_DURATION			1281
+#define	WT_STAT_CONN_LOG_SYNC_DURATION			1282
 /*! log: log sync_dir operations */
-#define	WT_STAT_CONN_LOG_SYNC_DIR			1282
+#define	WT_STAT_CONN_LOG_SYNC_DIR			1283
 /*! log: log sync_dir time duration (usecs) */
-#define	WT_STAT_CONN_LOG_SYNC_DIR_DURATION		1283
+#define	WT_STAT_CONN_LOG_SYNC_DIR_DURATION		1284
 /*! log: log write operations */
-#define	WT_STAT_CONN_LOG_WRITES				1284
+#define	WT_STAT_CONN_LOG_WRITES				1285
 /*! log: logging bytes consolidated */
-#define	WT_STAT_CONN_LOG_SLOT_CONSOLIDATED		1285
+#define	WT_STAT_CONN_LOG_SLOT_CONSOLIDATED		1286
 /*! log: maximum log file size */
-#define	WT_STAT_CONN_LOG_MAX_FILESIZE			1286
+#define	WT_STAT_CONN_LOG_MAX_FILESIZE			1287
 /*! log: number of pre-allocated log files to create */
-#define	WT_STAT_CONN_LOG_PREALLOC_MAX			1287
+#define	WT_STAT_CONN_LOG_PREALLOC_MAX			1288
 /*! log: pre-allocated log files not ready and missed */
-#define	WT_STAT_CONN_LOG_PREALLOC_MISSED		1288
+#define	WT_STAT_CONN_LOG_PREALLOC_MISSED		1289
 /*! log: pre-allocated log files prepared */
-#define	WT_STAT_CONN_LOG_PREALLOC_FILES			1289
+#define	WT_STAT_CONN_LOG_PREALLOC_FILES			1290
 /*! log: pre-allocated log files used */
-#define	WT_STAT_CONN_LOG_PREALLOC_USED			1290
+#define	WT_STAT_CONN_LOG_PREALLOC_USED			1291
 /*! log: records processed by log scan */
-#define	WT_STAT_CONN_LOG_SCAN_RECORDS			1291
+#define	WT_STAT_CONN_LOG_SCAN_RECORDS			1292
 /*! log: slot close lost race */
-#define	WT_STAT_CONN_LOG_SLOT_CLOSE_RACE		1292
+#define	WT_STAT_CONN_LOG_SLOT_CLOSE_RACE		1293
 /*! log: slot close unbuffered waits */
-#define	WT_STAT_CONN_LOG_SLOT_CLOSE_UNBUF		1293
+#define	WT_STAT_CONN_LOG_SLOT_CLOSE_UNBUF		1294
 /*! log: slot closures */
-#define	WT_STAT_CONN_LOG_SLOT_CLOSES			1294
+#define	WT_STAT_CONN_LOG_SLOT_CLOSES			1295
 /*! log: slot join atomic update races */
-#define	WT_STAT_CONN_LOG_SLOT_RACES			1295
+#define	WT_STAT_CONN_LOG_SLOT_RACES			1296
 /*! log: slot join calls atomic updates raced */
-#define	WT_STAT_CONN_LOG_SLOT_YIELD_RACE		1296
+#define	WT_STAT_CONN_LOG_SLOT_YIELD_RACE		1297
 /*! log: slot join calls did not yield */
-#define	WT_STAT_CONN_LOG_SLOT_IMMEDIATE			1297
+#define	WT_STAT_CONN_LOG_SLOT_IMMEDIATE			1298
 /*! log: slot join calls found active slot closed */
-#define	WT_STAT_CONN_LOG_SLOT_YIELD_CLOSE		1298
+#define	WT_STAT_CONN_LOG_SLOT_YIELD_CLOSE		1299
 /*! log: slot join calls slept */
-#define	WT_STAT_CONN_LOG_SLOT_YIELD_SLEEP		1299
+#define	WT_STAT_CONN_LOG_SLOT_YIELD_SLEEP		1300
 /*! log: slot join calls yielded */
-#define	WT_STAT_CONN_LOG_SLOT_YIELD			1300
+#define	WT_STAT_CONN_LOG_SLOT_YIELD			1301
 /*! log: slot join found active slot closed */
-#define	WT_STAT_CONN_LOG_SLOT_ACTIVE_CLOSED		1301
+#define	WT_STAT_CONN_LOG_SLOT_ACTIVE_CLOSED		1302
 /*! log: slot joins yield time (usecs) */
-#define	WT_STAT_CONN_LOG_SLOT_YIELD_DURATION		1302
+#define	WT_STAT_CONN_LOG_SLOT_YIELD_DURATION		1303
 /*! log: slot transitions unable to find free slot */
-#define	WT_STAT_CONN_LOG_SLOT_NO_FREE_SLOTS		1303
+#define	WT_STAT_CONN_LOG_SLOT_NO_FREE_SLOTS		1304
 /*! log: slot unbuffered writes */
-#define	WT_STAT_CONN_LOG_SLOT_UNBUFFERED		1304
+#define	WT_STAT_CONN_LOG_SLOT_UNBUFFERED		1305
 /*! log: total in-memory size of compressed records */
-#define	WT_STAT_CONN_LOG_COMPRESS_MEM			1305
+#define	WT_STAT_CONN_LOG_COMPRESS_MEM			1306
 /*! log: total log buffer size */
-#define	WT_STAT_CONN_LOG_BUFFER_SIZE			1306
+#define	WT_STAT_CONN_LOG_BUFFER_SIZE			1307
 /*! log: total size of compressed records */
-#define	WT_STAT_CONN_LOG_COMPRESS_LEN			1307
+#define	WT_STAT_CONN_LOG_COMPRESS_LEN			1308
 /*! log: written slots coalesced */
-#define	WT_STAT_CONN_LOG_SLOT_COALESCED			1308
+#define	WT_STAT_CONN_LOG_SLOT_COALESCED			1309
 /*! log: yields waiting for previous log file close */
-#define	WT_STAT_CONN_LOG_CLOSE_YIELDS			1309
+#define	WT_STAT_CONN_LOG_CLOSE_YIELDS			1310
 /*! perf: file system read latency histogram (bucket 1) - 10-49ms */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT50	1310
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT50	1311
 /*! perf: file system read latency histogram (bucket 2) - 50-99ms */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT100	1311
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT100	1312
 /*! perf: file system read latency histogram (bucket 3) - 100-249ms */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT250	1312
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT250	1313
 /*! perf: file system read latency histogram (bucket 4) - 250-499ms */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT500	1313
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT500	1314
 /*! perf: file system read latency histogram (bucket 5) - 500-999ms */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT1000	1314
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_LT1000	1315
 /*! perf: file system read latency histogram (bucket 6) - 1000ms+ */
-#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_GT1000	1315
+#define	WT_STAT_CONN_PERF_HIST_FSREAD_LATENCY_GT1000	1316
 /*! perf: file system write latency histogram (bucket 1) - 10-49ms */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT50	1316
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT50	1317
 /*! perf: file system write latency histogram (bucket 2) - 50-99ms */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT100	1317
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT100	1318
 /*! perf: file system write latency histogram (bucket 3) - 100-249ms */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT250	1318
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT250	1319
 /*! perf: file system write latency histogram (bucket 4) - 250-499ms */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT500	1319
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT500	1320
 /*! perf: file system write latency histogram (bucket 5) - 500-999ms */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT1000	1320
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_LT1000	1321
 /*! perf: file system write latency histogram (bucket 6) - 1000ms+ */
-#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_GT1000	1321
+#define	WT_STAT_CONN_PERF_HIST_FSWRITE_LATENCY_GT1000	1322
 /*! perf: operation read latency histogram (bucket 1) - 100-249us */
-#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT250	1322
+#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT250	1323
 /*! perf: operation read latency histogram (bucket 2) - 250-499us */
-#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT500	1323
+#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT500	1324
 /*! perf: operation read latency histogram (bucket 3) - 500-999us */
-#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT1000	1324
+#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT1000	1325
 /*! perf: operation read latency histogram (bucket 4) - 1000-9999us */
-#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT10000	1325
+#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_LT10000	1326
 /*! perf: operation read latency histogram (bucket 5) - 10000us+ */
-#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_GT10000	1326
+#define	WT_STAT_CONN_PERF_HIST_OPREAD_LATENCY_GT10000	1327
 /*! perf: operation write latency histogram (bucket 1) - 100-249us */
-#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT250	1327
+#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT250	1328
 /*! perf: operation write latency histogram (bucket 2) - 250-499us */
-#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT500	1328
+#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT500	1329
 /*! perf: operation write latency histogram (bucket 3) - 500-999us */
-#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT1000	1329
+#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT1000	1330
 /*! perf: operation write latency histogram (bucket 4) - 1000-9999us */
-#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT10000	1330
+#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_LT10000	1331
 /*! perf: operation write latency histogram (bucket 5) - 10000us+ */
-#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_GT10000	1331
+#define	WT_STAT_CONN_PERF_HIST_OPWRITE_LATENCY_GT10000	1332
 /*! reconciliation: approximate byte size of timestamps in pages written */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_BYTES_TS		1332
+#define	WT_STAT_CONN_REC_TIME_WINDOW_BYTES_TS		1333
 /*!
  * reconciliation: approximate byte size of transaction IDs in pages
  * written
  */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_BYTES_TXN		1333
+#define	WT_STAT_CONN_REC_TIME_WINDOW_BYTES_TXN		1334
 /*! reconciliation: fast-path pages deleted */
-#define	WT_STAT_CONN_REC_PAGE_DELETE_FAST		1334
+#define	WT_STAT_CONN_REC_PAGE_DELETE_FAST		1335
 /*! reconciliation: internal-page overflow keys */
-#define	WT_STAT_CONN_REC_OVERFLOW_KEY_INTERNAL		1335
+#define	WT_STAT_CONN_REC_OVERFLOW_KEY_INTERNAL		1336
 /*! reconciliation: leaf-page overflow keys */
-#define	WT_STAT_CONN_REC_OVERFLOW_KEY_LEAF		1336
+#define	WT_STAT_CONN_REC_OVERFLOW_KEY_LEAF		1337
 /*! reconciliation: maximum seconds spent in a reconciliation call */
-#define	WT_STAT_CONN_REC_MAXIMUM_SECONDS		1337
+#define	WT_STAT_CONN_REC_MAXIMUM_SECONDS		1338
 /*! reconciliation: page reconciliation calls */
-#define	WT_STAT_CONN_REC_PAGES				1338
+#define	WT_STAT_CONN_REC_PAGES				1339
 /*! reconciliation: page reconciliation calls for eviction */
-#define	WT_STAT_CONN_REC_PAGES_EVICTION			1339
+#define	WT_STAT_CONN_REC_PAGES_EVICTION			1340
 /*!
  * reconciliation: page reconciliation calls that resulted in values with
  * prepared transaction metadata
  */
-#define	WT_STAT_CONN_REC_PAGES_WITH_PREPARE		1340
+#define	WT_STAT_CONN_REC_PAGES_WITH_PREPARE		1341
 /*!
  * reconciliation: page reconciliation calls that resulted in values with
  * timestamps
  */
-#define	WT_STAT_CONN_REC_PAGES_WITH_TS			1341
+#define	WT_STAT_CONN_REC_PAGES_WITH_TS			1342
 /*!
  * reconciliation: page reconciliation calls that resulted in values with
  * transaction ids
  */
-#define	WT_STAT_CONN_REC_PAGES_WITH_TXN			1342
+#define	WT_STAT_CONN_REC_PAGES_WITH_TXN			1343
 /*! reconciliation: pages deleted */
-#define	WT_STAT_CONN_REC_PAGE_DELETE			1343
+#define	WT_STAT_CONN_REC_PAGE_DELETE			1344
 /*!
  * reconciliation: pages written including an aggregated newest start
  * durable timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_START_DURABLE_TS	1344
+#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_START_DURABLE_TS	1345
 /*!
  * reconciliation: pages written including an aggregated newest stop
  * durable timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_DURABLE_TS	1345
+#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_DURABLE_TS	1346
 /*!
  * reconciliation: pages written including an aggregated newest stop
  * timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_TS	1346
+#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_TS	1347
 /*!
  * reconciliation: pages written including an aggregated newest stop
  * transaction ID
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_TXN	1347
+#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_STOP_TXN	1348
 /*!
  * reconciliation: pages written including an aggregated newest
  * transaction ID
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_TXN		1348
+#define	WT_STAT_CONN_REC_TIME_AGGR_NEWEST_TXN		1349
 /*!
  * reconciliation: pages written including an aggregated oldest start
  * timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_AGGR_OLDEST_START_TS	1349
+#define	WT_STAT_CONN_REC_TIME_AGGR_OLDEST_START_TS	1350
 /*! reconciliation: pages written including an aggregated prepare */
-#define	WT_STAT_CONN_REC_TIME_AGGR_PREPARED		1350
+#define	WT_STAT_CONN_REC_TIME_AGGR_PREPARED		1351
 /*! reconciliation: pages written including at least one prepare state */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_PREPARED	1351
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_PREPARED	1352
 /*!
  * reconciliation: pages written including at least one start durable
  * timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_DURABLE_START_TS	1352
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_DURABLE_START_TS	1353
 /*! reconciliation: pages written including at least one start timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_START_TS	1353
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_START_TS	1354
 /*!
  * reconciliation: pages written including at least one start transaction
  * ID
  */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_START_TXN	1354
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_START_TXN	1355
 /*!
  * reconciliation: pages written including at least one stop durable
  * timestamp
  */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_DURABLE_STOP_TS	1355
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_DURABLE_STOP_TS	1356
 /*! reconciliation: pages written including at least one stop timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_STOP_TS	1356
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_STOP_TS	1357
 /*!
  * reconciliation: pages written including at least one stop transaction
  * ID
  */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_STOP_TXN	1357
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PAGES_STOP_TXN	1358
 /*! reconciliation: records written including a prepare state */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_PREPARED		1358
+#define	WT_STAT_CONN_REC_TIME_WINDOW_PREPARED		1359
 /*! reconciliation: records written including a start durable timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_DURABLE_START_TS	1359
+#define	WT_STAT_CONN_REC_TIME_WINDOW_DURABLE_START_TS	1360
 /*! reconciliation: records written including a start timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_START_TS		1360
+#define	WT_STAT_CONN_REC_TIME_WINDOW_START_TS		1361
 /*! reconciliation: records written including a start transaction ID */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_START_TXN		1361
+#define	WT_STAT_CONN_REC_TIME_WINDOW_START_TXN		1362
 /*! reconciliation: records written including a stop durable timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_DURABLE_STOP_TS	1362
+#define	WT_STAT_CONN_REC_TIME_WINDOW_DURABLE_STOP_TS	1363
 /*! reconciliation: records written including a stop timestamp */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_STOP_TS		1363
+#define	WT_STAT_CONN_REC_TIME_WINDOW_STOP_TS		1364
 /*! reconciliation: records written including a stop transaction ID */
-#define	WT_STAT_CONN_REC_TIME_WINDOW_STOP_TXN		1364
+#define	WT_STAT_CONN_REC_TIME_WINDOW_STOP_TXN		1365
 /*! reconciliation: split bytes currently awaiting free */
-#define	WT_STAT_CONN_REC_SPLIT_STASHED_BYTES		1365
+#define	WT_STAT_CONN_REC_SPLIT_STASHED_BYTES		1366
 /*! reconciliation: split objects currently awaiting free */
-#define	WT_STAT_CONN_REC_SPLIT_STASHED_OBJECTS		1366
+#define	WT_STAT_CONN_REC_SPLIT_STASHED_OBJECTS		1367
 /*! session: flush state races */
-#define	WT_STAT_CONN_FLUSH_STATE_RACES			1367
+#define	WT_STAT_CONN_FLUSH_STATE_RACES			1368
 /*! session: flush_tier operation calls */
-#define	WT_STAT_CONN_FLUSH_TIER				1368
+#define	WT_STAT_CONN_FLUSH_TIER				1369
 /*! session: open session count */
-#define	WT_STAT_CONN_SESSION_OPEN			1369
+#define	WT_STAT_CONN_SESSION_OPEN			1370
 /*! session: session query timestamp calls */
-#define	WT_STAT_CONN_SESSION_QUERY_TS			1370
+#define	WT_STAT_CONN_SESSION_QUERY_TS			1371
 /*! session: table alter failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_ALTER_FAIL		1371
+#define	WT_STAT_CONN_SESSION_TABLE_ALTER_FAIL		1372
 /*! session: table alter successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_ALTER_SUCCESS	1372
+#define	WT_STAT_CONN_SESSION_TABLE_ALTER_SUCCESS	1373
 /*! session: table alter unchanged and skipped */
-#define	WT_STAT_CONN_SESSION_TABLE_ALTER_SKIP		1373
+#define	WT_STAT_CONN_SESSION_TABLE_ALTER_SKIP		1374
 /*! session: table compact failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_COMPACT_FAIL		1374
+#define	WT_STAT_CONN_SESSION_TABLE_COMPACT_FAIL		1375
 /*! session: table compact successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_COMPACT_SUCCESS	1375
+#define	WT_STAT_CONN_SESSION_TABLE_COMPACT_SUCCESS	1376
 /*! session: table create failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_CREATE_FAIL		1376
+#define	WT_STAT_CONN_SESSION_TABLE_CREATE_FAIL		1377
 /*! session: table create successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_CREATE_SUCCESS	1377
+#define	WT_STAT_CONN_SESSION_TABLE_CREATE_SUCCESS	1378
 /*! session: table drop failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_DROP_FAIL		1378
+#define	WT_STAT_CONN_SESSION_TABLE_DROP_FAIL		1379
 /*! session: table drop successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_DROP_SUCCESS		1379
+#define	WT_STAT_CONN_SESSION_TABLE_DROP_SUCCESS		1380
 /*! session: table rename failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_RENAME_FAIL		1380
+#define	WT_STAT_CONN_SESSION_TABLE_RENAME_FAIL		1381
 /*! session: table rename successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_RENAME_SUCCESS	1381
+#define	WT_STAT_CONN_SESSION_TABLE_RENAME_SUCCESS	1382
 /*! session: table salvage failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_SALVAGE_FAIL		1382
+#define	WT_STAT_CONN_SESSION_TABLE_SALVAGE_FAIL		1383
 /*! session: table salvage successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_SALVAGE_SUCCESS	1383
+#define	WT_STAT_CONN_SESSION_TABLE_SALVAGE_SUCCESS	1384
 /*! session: table truncate failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_TRUNCATE_FAIL	1384
+#define	WT_STAT_CONN_SESSION_TABLE_TRUNCATE_FAIL	1385
 /*! session: table truncate successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_TRUNCATE_SUCCESS	1385
+#define	WT_STAT_CONN_SESSION_TABLE_TRUNCATE_SUCCESS	1386
 /*! session: table verify failed calls */
-#define	WT_STAT_CONN_SESSION_TABLE_VERIFY_FAIL		1386
+#define	WT_STAT_CONN_SESSION_TABLE_VERIFY_FAIL		1387
 /*! session: table verify successful calls */
-#define	WT_STAT_CONN_SESSION_TABLE_VERIFY_SUCCESS	1387
+#define	WT_STAT_CONN_SESSION_TABLE_VERIFY_SUCCESS	1388
 /*! session: tiered operations dequeued and processed */
-#define	WT_STAT_CONN_TIERED_WORK_UNITS_DEQUEUED		1388
+#define	WT_STAT_CONN_TIERED_WORK_UNITS_DEQUEUED		1389
 /*! session: tiered operations scheduled */
-#define	WT_STAT_CONN_TIERED_WORK_UNITS_CREATED		1389
+#define	WT_STAT_CONN_TIERED_WORK_UNITS_CREATED		1390
 /*! session: tiered storage local retention time (secs) */
-#define	WT_STAT_CONN_TIERED_RETENTION			1390
+#define	WT_STAT_CONN_TIERED_RETENTION			1391
 /*! session: tiered storage object size */
-#define	WT_STAT_CONN_TIERED_OBJECT_SIZE			1391
+#define	WT_STAT_CONN_TIERED_OBJECT_SIZE			1392
 /*! thread-state: active filesystem fsync calls */
-#define	WT_STAT_CONN_THREAD_FSYNC_ACTIVE		1392
+#define	WT_STAT_CONN_THREAD_FSYNC_ACTIVE		1393
 /*! thread-state: active filesystem read calls */
-#define	WT_STAT_CONN_THREAD_READ_ACTIVE			1393
+#define	WT_STAT_CONN_THREAD_READ_ACTIVE			1394
 /*! thread-state: active filesystem write calls */
-#define	WT_STAT_CONN_THREAD_WRITE_ACTIVE		1394
+#define	WT_STAT_CONN_THREAD_WRITE_ACTIVE		1395
 /*! thread-yield: application thread time evicting (usecs) */
-#define	WT_STAT_CONN_APPLICATION_EVICT_TIME		1395
+#define	WT_STAT_CONN_APPLICATION_EVICT_TIME		1396
 /*! thread-yield: application thread time waiting for cache (usecs) */
-#define	WT_STAT_CONN_APPLICATION_CACHE_TIME		1396
+#define	WT_STAT_CONN_APPLICATION_CACHE_TIME		1397
 /*!
  * thread-yield: connection close blocked waiting for transaction state
  * stabilization
  */
-#define	WT_STAT_CONN_TXN_RELEASE_BLOCKED		1397
+#define	WT_STAT_CONN_TXN_RELEASE_BLOCKED		1398
 /*! thread-yield: connection close yielded for lsm manager shutdown */
-#define	WT_STAT_CONN_CONN_CLOSE_BLOCKED_LSM		1398
+#define	WT_STAT_CONN_CONN_CLOSE_BLOCKED_LSM		1399
 /*! thread-yield: data handle lock yielded */
-#define	WT_STAT_CONN_DHANDLE_LOCK_BLOCKED		1399
+#define	WT_STAT_CONN_DHANDLE_LOCK_BLOCKED		1400
 /*!
  * thread-yield: get reference for page index and slot time sleeping
  * (usecs)
  */
-#define	WT_STAT_CONN_PAGE_INDEX_SLOT_REF_BLOCKED	1400
+#define	WT_STAT_CONN_PAGE_INDEX_SLOT_REF_BLOCKED	1401
 /*! thread-yield: log server sync yielded for log write */
-#define	WT_STAT_CONN_LOG_SERVER_SYNC_BLOCKED		1401
+#define	WT_STAT_CONN_LOG_SERVER_SYNC_BLOCKED		1402
 /*! thread-yield: page access yielded due to prepare state change */
-#define	WT_STAT_CONN_PREPARED_TRANSITION_BLOCKED_PAGE	1402
+#define	WT_STAT_CONN_PREPARED_TRANSITION_BLOCKED_PAGE	1403
 /*! thread-yield: page acquire busy blocked */
-#define	WT_STAT_CONN_PAGE_BUSY_BLOCKED			1403
+#define	WT_STAT_CONN_PAGE_BUSY_BLOCKED			1404
 /*! thread-yield: page acquire eviction blocked */
-#define	WT_STAT_CONN_PAGE_FORCIBLE_EVICT_BLOCKED	1404
+#define	WT_STAT_CONN_PAGE_FORCIBLE_EVICT_BLOCKED	1405
 /*! thread-yield: page acquire locked blocked */
-#define	WT_STAT_CONN_PAGE_LOCKED_BLOCKED		1405
+#define	WT_STAT_CONN_PAGE_LOCKED_BLOCKED		1406
 /*! thread-yield: page acquire read blocked */
-#define	WT_STAT_CONN_PAGE_READ_BLOCKED			1406
+#define	WT_STAT_CONN_PAGE_READ_BLOCKED			1407
 /*! thread-yield: page acquire time sleeping (usecs) */
-#define	WT_STAT_CONN_PAGE_SLEEP				1407
+#define	WT_STAT_CONN_PAGE_SLEEP				1408
 /*!
  * thread-yield: page delete rollback time sleeping for state change
  * (usecs)
  */
-#define	WT_STAT_CONN_PAGE_DEL_ROLLBACK_BLOCKED		1408
+#define	WT_STAT_CONN_PAGE_DEL_ROLLBACK_BLOCKED		1409
 /*! thread-yield: page reconciliation yielded due to child modification */
-#define	WT_STAT_CONN_CHILD_MODIFY_BLOCKED_PAGE		1409
+#define	WT_STAT_CONN_CHILD_MODIFY_BLOCKED_PAGE		1410
 /*! transaction: Number of prepared updates */
-#define	WT_STAT_CONN_TXN_PREPARED_UPDATES		1410
+#define	WT_STAT_CONN_TXN_PREPARED_UPDATES		1411
 /*! transaction: Number of prepared updates committed */
-#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_COMMITTED	1411
+#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_COMMITTED	1412
 /*! transaction: Number of prepared updates repeated on the same key */
-#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_KEY_REPEATED	1412
+#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_KEY_REPEATED	1413
 /*! transaction: Number of prepared updates rolled back */
-#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_ROLLEDBACK	1413
+#define	WT_STAT_CONN_TXN_PREPARED_UPDATES_ROLLEDBACK	1414
 /*! transaction: prepared transactions */
-#define	WT_STAT_CONN_TXN_PREPARE			1414
+#define	WT_STAT_CONN_TXN_PREPARE			1415
 /*! transaction: prepared transactions committed */
-#define	WT_STAT_CONN_TXN_PREPARE_COMMIT			1415
+#define	WT_STAT_CONN_TXN_PREPARE_COMMIT			1416
 /*! transaction: prepared transactions currently active */
-#define	WT_STAT_CONN_TXN_PREPARE_ACTIVE			1416
+#define	WT_STAT_CONN_TXN_PREPARE_ACTIVE			1417
 /*! transaction: prepared transactions rolled back */
-#define	WT_STAT_CONN_TXN_PREPARE_ROLLBACK		1417
+#define	WT_STAT_CONN_TXN_PREPARE_ROLLBACK		1418
 /*! transaction: query timestamp calls */
-#define	WT_STAT_CONN_TXN_QUERY_TS			1418
+#define	WT_STAT_CONN_TXN_QUERY_TS			1419
 /*! transaction: race to read prepared update retry */
-#define	WT_STAT_CONN_TXN_READ_RACE_PREPARE_UPDATE	1419
+#define	WT_STAT_CONN_TXN_READ_RACE_PREPARE_UPDATE	1420
 /*! transaction: rollback to stable calls */
-#define	WT_STAT_CONN_TXN_RTS				1420
+#define	WT_STAT_CONN_TXN_RTS				1421
 /*!
  * transaction: rollback to stable history store records with stop
  * timestamps older than newer records
  */
-#define	WT_STAT_CONN_TXN_RTS_HS_STOP_OLDER_THAN_NEWER_START	1421
+#define	WT_STAT_CONN_TXN_RTS_HS_STOP_OLDER_THAN_NEWER_START	1422
 /*! transaction: rollback to stable inconsistent checkpoint */
-#define	WT_STAT_CONN_TXN_RTS_INCONSISTENT_CKPT		1422
+#define	WT_STAT_CONN_TXN_RTS_INCONSISTENT_CKPT		1423
 /*! transaction: rollback to stable keys removed */
-#define	WT_STAT_CONN_TXN_RTS_KEYS_REMOVED		1423
+#define	WT_STAT_CONN_TXN_RTS_KEYS_REMOVED		1424
 /*! transaction: rollback to stable keys restored */
-#define	WT_STAT_CONN_TXN_RTS_KEYS_RESTORED		1424
+#define	WT_STAT_CONN_TXN_RTS_KEYS_RESTORED		1425
 /*! transaction: rollback to stable pages visited */
-#define	WT_STAT_CONN_TXN_RTS_PAGES_VISITED		1425
+#define	WT_STAT_CONN_TXN_RTS_PAGES_VISITED		1426
 /*! transaction: rollback to stable restored tombstones from history store */
-#define	WT_STAT_CONN_TXN_RTS_HS_RESTORE_TOMBSTONES	1426
+#define	WT_STAT_CONN_TXN_RTS_HS_RESTORE_TOMBSTONES	1427
 /*! transaction: rollback to stable restored updates from history store */
-#define	WT_STAT_CONN_TXN_RTS_HS_RESTORE_UPDATES		1427
+#define	WT_STAT_CONN_TXN_RTS_HS_RESTORE_UPDATES		1428
 /*! transaction: rollback to stable sweeping history store keys */
-#define	WT_STAT_CONN_TXN_RTS_SWEEP_HS_KEYS		1428
+#define	WT_STAT_CONN_TXN_RTS_SWEEP_HS_KEYS		1429
 /*! transaction: rollback to stable tree walk skipping pages */
-#define	WT_STAT_CONN_TXN_RTS_TREE_WALK_SKIP_PAGES	1429
+#define	WT_STAT_CONN_TXN_RTS_TREE_WALK_SKIP_PAGES	1430
 /*! transaction: rollback to stable updates aborted */
-#define	WT_STAT_CONN_TXN_RTS_UPD_ABORTED		1430
+#define	WT_STAT_CONN_TXN_RTS_UPD_ABORTED		1431
 /*! transaction: rollback to stable updates removed from history store */
-#define	WT_STAT_CONN_TXN_RTS_HS_REMOVED			1431
+#define	WT_STAT_CONN_TXN_RTS_HS_REMOVED			1432
 /*! transaction: sessions scanned in each walk of concurrent sessions */
-#define	WT_STAT_CONN_TXN_SESSIONS_WALKED		1432
+#define	WT_STAT_CONN_TXN_SESSIONS_WALKED		1433
 /*! transaction: set timestamp calls */
-#define	WT_STAT_CONN_TXN_SET_TS				1433
+#define	WT_STAT_CONN_TXN_SET_TS				1434
 /*! transaction: set timestamp durable calls */
-#define	WT_STAT_CONN_TXN_SET_TS_DURABLE			1434
+#define	WT_STAT_CONN_TXN_SET_TS_DURABLE			1435
 /*! transaction: set timestamp durable updates */
-#define	WT_STAT_CONN_TXN_SET_TS_DURABLE_UPD		1435
+#define	WT_STAT_CONN_TXN_SET_TS_DURABLE_UPD		1436
 /*! transaction: set timestamp oldest calls */
-#define	WT_STAT_CONN_TXN_SET_TS_OLDEST			1436
+#define	WT_STAT_CONN_TXN_SET_TS_OLDEST			1437
 /*! transaction: set timestamp oldest updates */
-#define	WT_STAT_CONN_TXN_SET_TS_OLDEST_UPD		1437
+#define	WT_STAT_CONN_TXN_SET_TS_OLDEST_UPD		1438
 /*! transaction: set timestamp stable calls */
-#define	WT_STAT_CONN_TXN_SET_TS_STABLE			1438
+#define	WT_STAT_CONN_TXN_SET_TS_STABLE			1439
 /*! transaction: set timestamp stable updates */
-#define	WT_STAT_CONN_TXN_SET_TS_STABLE_UPD		1439
+#define	WT_STAT_CONN_TXN_SET_TS_STABLE_UPD		1440
 /*! transaction: transaction begins */
-#define	WT_STAT_CONN_TXN_BEGIN				1440
+#define	WT_STAT_CONN_TXN_BEGIN				1441
 /*! transaction: transaction checkpoint currently running */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_RUNNING		1441
+#define	WT_STAT_CONN_TXN_CHECKPOINT_RUNNING		1442
 /*!
  * transaction: transaction checkpoint currently running for history
  * store file
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_RUNNING_HS		1442
+#define	WT_STAT_CONN_TXN_CHECKPOINT_RUNNING_HS		1443
 /*! transaction: transaction checkpoint generation */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_GENERATION		1443
+#define	WT_STAT_CONN_TXN_CHECKPOINT_GENERATION		1444
 /*!
  * transaction: transaction checkpoint history store file duration
  * (usecs)
  */
-#define	WT_STAT_CONN_TXN_HS_CKPT_DURATION		1444
+#define	WT_STAT_CONN_TXN_HS_CKPT_DURATION		1445
 /*! transaction: transaction checkpoint max time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_MAX		1445
+#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_MAX		1446
 /*! transaction: transaction checkpoint min time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_MIN		1446
+#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_MIN		1447
 /*!
  * transaction: transaction checkpoint most recent duration for gathering
  * all handles (usecs)
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION	1447
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION	1448
 /*!
  * transaction: transaction checkpoint most recent duration for gathering
  * applied handles (usecs)
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION_APPLY	1448
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION_APPLY	1449
 /*!
  * transaction: transaction checkpoint most recent duration for gathering
  * skipped handles (usecs)
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION_SKIP	1449
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_DURATION_SKIP	1450
 /*! transaction: transaction checkpoint most recent handles applied */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_APPLIED	1450
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_APPLIED	1451
 /*! transaction: transaction checkpoint most recent handles skipped */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_SKIPPED	1451
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_SKIPPED	1452
 /*! transaction: transaction checkpoint most recent handles walked */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_WALKED	1452
+#define	WT_STAT_CONN_TXN_CHECKPOINT_HANDLE_WALKED	1453
 /*! transaction: transaction checkpoint most recent time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_RECENT		1453
+#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_RECENT		1454
 /*! transaction: transaction checkpoint prepare currently running */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_RUNNING	1454
+#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_RUNNING	1455
 /*! transaction: transaction checkpoint prepare max time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_MAX		1455
+#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_MAX		1456
 /*! transaction: transaction checkpoint prepare min time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_MIN		1456
+#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_MIN		1457
 /*! transaction: transaction checkpoint prepare most recent time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_RECENT		1457
+#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_RECENT		1458
 /*! transaction: transaction checkpoint prepare total time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_TOTAL		1458
+#define	WT_STAT_CONN_TXN_CHECKPOINT_PREP_TOTAL		1459
 /*! transaction: transaction checkpoint scrub dirty target */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TARGET	1459
+#define	WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TARGET	1460
 /*! transaction: transaction checkpoint scrub time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TIME		1460
+#define	WT_STAT_CONN_TXN_CHECKPOINT_SCRUB_TIME		1461
 /*! transaction: transaction checkpoint total time (msecs) */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_TOTAL		1461
+#define	WT_STAT_CONN_TXN_CHECKPOINT_TIME_TOTAL		1462
 /*! transaction: transaction checkpoints */
-#define	WT_STAT_CONN_TXN_CHECKPOINT			1462
+#define	WT_STAT_CONN_TXN_CHECKPOINT			1463
 /*! transaction: transaction checkpoints due to obsolete pages */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_OBSOLETE_APPLIED	1463
+#define	WT_STAT_CONN_TXN_CHECKPOINT_OBSOLETE_APPLIED	1464
 /*!
  * transaction: transaction checkpoints skipped because database was
  * clean
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_SKIPPED		1464
+#define	WT_STAT_CONN_TXN_CHECKPOINT_SKIPPED		1465
 /*! transaction: transaction failures due to history store */
-#define	WT_STAT_CONN_TXN_FAIL_CACHE			1465
+#define	WT_STAT_CONN_TXN_FAIL_CACHE			1466
 /*!
  * transaction: transaction fsync calls for checkpoint after allocating
  * the transaction ID
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST		1466
+#define	WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST		1467
 /*!
  * transaction: transaction fsync duration for checkpoint after
  * allocating the transaction ID (usecs)
  */
-#define	WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST_DURATION	1467
+#define	WT_STAT_CONN_TXN_CHECKPOINT_FSYNC_POST_DURATION	1468
 /*! transaction: transaction range of IDs currently pinned */
-#define	WT_STAT_CONN_TXN_PINNED_RANGE			1468
+#define	WT_STAT_CONN_TXN_PINNED_RANGE			1469
 /*! transaction: transaction range of IDs currently pinned by a checkpoint */
-#define	WT_STAT_CONN_TXN_PINNED_CHECKPOINT_RANGE	1469
+#define	WT_STAT_CONN_TXN_PINNED_CHECKPOINT_RANGE	1470
 /*! transaction: transaction range of timestamps currently pinned */
-#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP		1470
+#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP		1471
 /*! transaction: transaction range of timestamps pinned by a checkpoint */
-#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_CHECKPOINT	1471
+#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_CHECKPOINT	1472
 /*!
  * transaction: transaction range of timestamps pinned by the oldest
  * active read timestamp
  */
-#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_READER	1472
+#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_READER	1473
 /*!
  * transaction: transaction range of timestamps pinned by the oldest
  * timestamp
  */
-#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_OLDEST	1473
+#define	WT_STAT_CONN_TXN_PINNED_TIMESTAMP_OLDEST	1474
 /*! transaction: transaction read timestamp of the oldest active reader */
-#define	WT_STAT_CONN_TXN_TIMESTAMP_OLDEST_ACTIVE_READ	1474
+#define	WT_STAT_CONN_TXN_TIMESTAMP_OLDEST_ACTIVE_READ	1475
 /*! transaction: transaction rollback to stable currently running */
-#define	WT_STAT_CONN_TXN_ROLLBACK_TO_STABLE_RUNNING	1475
+#define	WT_STAT_CONN_TXN_ROLLBACK_TO_STABLE_RUNNING	1476
 /*! transaction: transaction sync calls */
-#define	WT_STAT_CONN_TXN_SYNC				1476
+#define	WT_STAT_CONN_TXN_SYNC				1477
 /*! transaction: transaction walk of concurrent sessions */
-#define	WT_STAT_CONN_TXN_WALK_SESSIONS			1477
+#define	WT_STAT_CONN_TXN_WALK_SESSIONS			1478
 /*! transaction: transactions committed */
-#define	WT_STAT_CONN_TXN_COMMIT				1478
+#define	WT_STAT_CONN_TXN_COMMIT				1479
 /*! transaction: transactions rolled back */
-#define	WT_STAT_CONN_TXN_ROLLBACK			1479
+#define	WT_STAT_CONN_TXN_ROLLBACK			1480
 /*! transaction: update conflicts */
-#define	WT_STAT_CONN_TXN_UPDATE_CONFLICT		1480
+#define	WT_STAT_CONN_TXN_UPDATE_CONFLICT		1481
 
 /*!
  * @}
diff --git a/src/third_party/wiredtiger/src/support/stat.c b/src/third_party/wiredtiger/src/support/stat.c
index d497fe46f5..0443e4401c 100644
--- a/src/third_party/wiredtiger/src/support/stat.c
+++ b/src/third_party/wiredtiger/src/support/stat.c
@@ -1062,6 +1062,7 @@ static const char *const __stats_connection_desc[] = {
   "cache: forced eviction - pages selected count",
   "cache: forced eviction - pages selected unable to be evicted count",
   "cache: forced eviction - pages selected unable to be evicted time",
+  "cache: forced eviction when more update list found.",
   "cache: hazard pointer blocked page eviction",
   "cache: hazard pointer check calls",
   "cache: hazard pointer check entries walked",
@@ -1591,6 +1592,7 @@ __wt_stat_connection_clear_single(WT_CONNECTION_STATS *stats)
     stats->cache_eviction_force = 0;
     stats->cache_eviction_force_fail = 0;
     stats->cache_eviction_force_fail_time = 0;
+    stats->cache_eviction_force_update_list = 0;
     stats->cache_eviction_hazard = 0;
     stats->cache_hazard_checks = 0;
     stats->cache_hazard_walks = 0;
@@ -2096,6 +2098,7 @@ __wt_stat_connection_aggregate(WT_CONNECTION_STATS **from, WT_CONNECTION_STATS *
     to->cache_eviction_force += WT_STAT_READ(from, cache_eviction_force);
     to->cache_eviction_force_fail += WT_STAT_READ(from, cache_eviction_force_fail);
     to->cache_eviction_force_fail_time += WT_STAT_READ(from, cache_eviction_force_fail_time);
+    to->cache_eviction_force_update_list += WT_STAT_READ(from, cache_eviction_force_update_list);
     to->cache_eviction_hazard += WT_STAT_READ(from, cache_eviction_hazard);
     to->cache_hazard_checks += WT_STAT_READ(from, cache_hazard_checks);
     to->cache_hazard_walks += WT_STAT_READ(from, cache_hazard_walks);
